### Method

# Meta WaylandClient spawnv

#### Declaration [src]

    GSubprocess*
    meta_wayland_client_spawnv (
      MetaWaylandClient* client,
      MetaDisplay* display,
      const char* const* argv,
      GError** error
    )

#### Description [src]

Creates a `GSubprocess` given a provided array of arguments, launching a new process with the binary specified in the first element of argv, and with the rest of elements as parameters. It also sets up a new Wayland socket and sets the environment variable WAYLAND_SOCKET to make the new process to use it.

#### Parameters

`display`

  Type: `MetaDisplay`

  The current MetaDisplay.

  The data is owned by the caller of the method.

`argv`

  Type: An array of `filename`

  Command line arguments.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows..

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GSubprocess`

A new `GSubprocess`, or `NULL` on error (and `error` will be set).

The caller of the method takes ownership of the returned data, and is responsible for freeing it.